#
# spec file for package tomoe-gtk
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tomoe-gtk
Version:        0.6.0
Release:        44.33
Summary:        TOMOE GTK+ library
License:        LGPL-2.1+
Group:          System/I18n/Japanese
Url:            http://sourceforge.net/projects/tomoe/
Source0:        http://kent.dl.sourceforge.net/sourceforge/tomoe/tomoe-gtk-0.6.0.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
# for /usr/share/gtk-doc
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel
BuildRequires:  gucharmap-devel
BuildRequires:  libtool
BuildRequires:  tomoe-devel
BuildRequires:  update-desktop-files
Requires:       %{name}-lang = %{version}
Requires:       libtomoe-gtk0 = %{version}
BuildRequires:  fdupes

%description
TOMOE GTK+ library

%package -n libtomoe-gtk0
Summary:        TOMOE GTK+ library
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}

%description -n libtomoe-gtk0
TOMOE GTK+ library

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       gucharmap-devel
Requires:       tomoe-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%package doc
Summary:        TOMOE GTK+ library
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}

%description doc
TOMOE GTK+ library

%lang_package

%prep
%setup -q

%build
./autogen.sh
export CFLAGS="%{optflags}"
%configure\
%if 0%{?suse_version} > 1100
    --without-gucharmap \
	--enable-gtk-doc \
    --without-python \
%endif
	--disable-static
make CFLAGS="$CFLAGS" %{?_smp_mflags}

%install
%make_install
%find_lang tomoe-gtk
%fdupes %{buildroot}

%post -n libtomoe-gtk0 -p /sbin/ldconfig
%postun -n libtomoe-gtk0 -p /sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_datadir}/tomoe-gtk

%files -n libtomoe-gtk0
%{_libdir}/*.so.*

%files lang -f tomoe-gtk.lang

%files devel
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/tomoe/*

%files doc
%{_datadir}/gtk-doc/html/libtomoe-gtk

%changelog
* Fri Feb  2 2018 fstrba@suse.com
- Removed patches:
  * gucharmap.patch
    + Commented out, thus not needed for build
  * fix-build.patch
    + Unnecessary and actually breaks build
- Regenerate the build files with modern tools
- Pass explicitely --without-python and remove python dependencies,
  since the tomoe package does not build them either
- Run spec-cleaner
* Fri Jun 19 2009 tiwai@suse.de
- allow build on 10.3 target
* Fri Aug  8 2008 mfabian@suse.de
- add Provides and Obsoletes to the sub-packages.
* Fri Aug  1 2008 mfabian@suse.de
- update to 0.6.0: ustream changes:
  • Rename the main package name from libtomoe-gtk to tomoe-gtk
  • Choose default dictionary according to current locale.
    However currently no dictionary will be enabled with most
    locales except ja or zh_CN, and on-demand language switching
    is not implemented yet.
    Please use tomoe application with above locales like this:
    $ LANG=zh_CN uim-tomoe-gtk
    $ LANG=ja scim-tomoe
    ...
  • Add tomoe_gtk_init() and tomoe_gtk_quit().
    Although tomoe_window_new() calls tomoe_gtk_init() internally
    for compatibility reason, it is recommended to call
    tomoe_gtk_init() manually in your code.
  • Add --with-gucharmap option.
  • Python binding.
  • Some minor fixes.
- create new subpackage libtomoe-gtk0 to comply with the shared
  library packaging policy.
* Thu Jan 31 2008 sbrabec@suse.cz
- Devhelp documentation moved to the separate package (bnc#248813).
* Tue Aug  7 2007 maw@suse.de
- Split off a -lang subpackage
- Use fdupes
- Buildrequire gtk-doc, not gtk2-doc
- Add %%post and %%postun.
* Tue Aug  7 2007 mrueckert@suse.de
- added gtk2-doc to the buildrequires so the doc paths get an owner.
* Mon Aug  6 2007 mfabian@suse.de
- update to 0.5.1:
  • Fix a bug that the candidates view in the handwriting page
  isn't drawn on KDE environment.
  • Search characters by stroke count.
- add gucharmap-devel to BuildRequires.
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build static libraries (#238552).
* Thu Dec 14 2006 mfabian@suse.de
- update to 0.4.0
  • Adaptation to TOMOE-0.4.0.
  • Removed dictionary pages. It will be provided as separated
    tools later.
- remove bugzilla-204093-local-variable-used-before-set.patch
  (included upstream).
- remove bugzilla-212523-local-variable-used-before-set.patch not
  needed anymore.
* Tue Oct 17 2006 mfabian@suse.de
- Bugzilla #212523: “local variable used before set”.
* Thu Sep 28 2006 mfabian@suse.de
- Bugzilla #204090: “local variable used before set”.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 mfabian@suse.de
- new package: libtomoe-gtk, version 0.1.0.
